PTLib Version 2.12.9

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
PFactoryBase Member List

This is the complete list of members for PFactoryBase, including all inherited members.

CreateFactory() | PFactoryBase | inline protected static
DestroySingletons()=0 | PFactoryBase | pure virtual
GetFactories() | PFactoryBase | static
GetFactoryAs() | PFactoryBase | inline protected static
InternalGetFactory(const std::string &className, PFactoryBase *(*createFactory)()) | PFactoryBase | protected static
m_mutex | PFactoryBase | protected
PFactoryBase() | PFactoryBase | inline protected
~PFactoryBase() | PFactoryBase | inline virtual